Get a node for a Kubernetes cluster
GET/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id}
You can retrieve details of a node by performing a GET request to /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id}. The ID of a cluster and node are required path parameters.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
kubernetes_cluster_id | stringA unique identifier of a Kubernetes cluster. |
node_id | stringA unique identifier of a node within the cluster. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/kubernetes_clusters/pmbk5Xez/nodes/JxboYKeg"{ "id": "JxboYKeg", "number": 101, "hostname": "node101", "configuration": "SSD.50", "type": "cloud", "role": "node", "status": "pending", "private_ipv4_address": "127.0.91.45", "public_ipv4_address": "127.0.93.46", "location_id": 1318, "location_code": "location2684", "ref_id": "BDbDRnel", "cluster_id": "pmbk5Xez", "node_group": { "id": "pnelO5dK", "name": "node-group-91", "description": null, "type": "static", "created_at": "2025-12-31T00:00:00.000Z", "updated_at": "2025-12-31T00:00:00.000Z" }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z"}